Welcome

This page links you to user documentation and other pertinent product information for the Keysight N7607B Signal Studio for DFS Radar Profiles.

Read the Technical Overview

Get a Free Trial

Configure and Purchase

Install the Software

Install the License

Use the Software

Read the Release Notes

Help compiled on Tuesday, September 30, 2014 - get the latest revision

© Keysight Technologies, Inc. 2013-2014


Technical Overview

Real Time

N7607B Signal Studio for DFS Radar Profiles
Technical Overview

Read the technical overview to learn more about:

  • key features and benefits

  • supported standards

  • basic and advanced capabilities

  • hardware configurations

  • connectivity options

  • licensing information

  • additional web and literature references

  • contacting Keysight Technologies


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.

From the Signal Studio DVD

The Signal Studio DVD automates much of the installation process. To install the software from the DVD, do the following:

  1. Perform step 1 above.

  2. Insert the DVD and follow the prompts.

  3. Perform steps 6 and 7 above.


System Requirements

Real Time

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7607B Signal Studio for DFS Radar Profiles software, you must have a properly configured PC and a properly configured instrument, as described in the following tables.

Hardware Requirements

Instruments | Requirements
N5172B EXG X-Series RF Vector Signal Generator | Firmware revision B.01.10 or later (how to upgrade) Required options: N5172B-506 (9 kHz to 6 GHz frequency range) N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) Recommended options: N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth) N5172B-009 (internal Flash drive)
N5182B MXG X-Series RF Vector Signal Generator | Firmware revision B.01.10 or later (how to upgrade) Required options: N5182B-506 (9 kHz to 6 GHz frequency range) N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) Recommended options: N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth) N5182B-009 (internal Flash drive)
N5182A MXG RF Vector Signal Generator | Firmware revision A.01.20 or later (how to upgrade) Required options: N5182A-506 (9 kHz to 6 GHz frequency range) N5182A-652 (60 MSa/s internal baseband generator with 8 MSa memory ) Recommended options: N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory) N5182A-019 (Increase Baseband Generator Memory to 64MSa)
E4438C ESG Vector Signal Generator | Firmware revision C.04.95 or later (how to upgrade) Required options: E4438C-506 (250 kHz to 6 GHz frequency range) E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability) Recommended options: E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability)
E8267D PSG Vector Signal Generator | Firmware revision C.04.92 or later (how to upgrade) E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended) E8267D-005 (6 GB internal hard drive, recommended)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 15.5 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows XP Service Pack 3 or later (Professional)

  • 2 GHz Pentium 4 or higher (recommended)

  • 512 MB of memory minimum (1.0 GB or higher recommended)

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (6.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 15.5 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

Adobe Flash Player 7 or later (required for using the Signal Studio Configuration Assistant)

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

Real Time

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows XP

For Windows XP, do the following:

  1. Go to Start > Control Panel > Add or Remove Programs.

  2. Look for Microsoft .NET Framework 3.5 in the listing of programs.

  3. If you do not see it listed, you must download it from Microsoft.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Features dialog box appears, indicating the state of .NET Framework 3.5.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

Real Time

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 15.5 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

Real Time

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

Real Time

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

Real Time

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Related Topics

Tutorials


Testing Connections

Real Time

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Signal Studio Configuration Assistant to explore the available license configurations for this Signal Studio product.

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License


Signal Studio Configuration Assistant

The Signal Studio Configuration Assistant is a utility that helps you create a list of capability options that best fit your needs. Use this list when you are ready to contact Keysight to purchase a license. Using this utility does not place an order, so you can use it repeatedly to explore different capability options.

If you are unable to view the configuration assistant, try downloading the latest version of the Adobe Flash Player. Visit www.adobe.com for more information.

Access the configuration assistant now at www.keysight.com/find/ssconfig.


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator


Installing the License in an MXG Signal Generator

Real Time

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device.

Using Keysight License Manager

The Keysight License Manager software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the MXG/EXG signal generator, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file N5182A-US70000628.lic is placed in a folder named N5182A.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > I/O Config > LAN Setup on the signal generator front panel. The hostname and IP address are displayed, as shown below.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the ESG signal generator, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file E4438C-US70000174.lic is placed in a folder named E4438C.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > GPIB/RS-232 LAN > LAN Setup on the signal generator front panel. The hostname and IP address are displayed, as shown below.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your ESG signal generator, you can manually install the license using a GPIB or RS-232 connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your ESG through a LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight IO Libraries Suite > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from the following website: http://www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 6.

  3. In the Instrument IO on this PC tree view, select the E4438C ESG signal generator connected via GPIB.

  4. If the Task Guide view is not enabled, select View > Task Guide.

  5. In the Tasks for This Instrument column, click Send Commands to this Instrument to open the Keysight Interactive IO window.

  6. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  7. Using the text editor, select and copy the license file text.

  8. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  9. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PSG signal generator, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file E8267D-US70000654.lic is placed in a folder named E8267D.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > GPIB/RS-232 LAN > LAN Setup on the signal generator front panel. The hostname and IP address are displayed, as shown below.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your PSG signal generator, you can manually install the license using a GPIB or RS-232 connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your PSG through a LAN.

  1. Copy the license file to your PC. The license file is attached to the email message you received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight IO Libraries Suite > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from the following website: http://www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to Step 6.

  3. In the Instrument IO on this PC tree view, select the E8267D PSG signal generator connected via GPIB.

  4. If the Task Guide view is not enabled, select View > Task Guide.

  5. In the Tasks for This Instrument column, click Send Commands to this Instrument to open the Keysight Interactive IO window.

  6. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  7. Using the text editor, select and copy the license file text.

  8. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  9. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (ALM) software. If you do not have the Keysight License Manager installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. Open the ALM software.

  3. Click File > Connect.... to open the Connect to Device dialog box.

  4. In the Device Address field, enter either the hostname or the IP address of the source instrument.

  5. Click OK. The instrument hostname/address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  6. Repeat steps 3 through 5 for the target instrument.

  7. In the tree view, expand the Installed Licenses node of the source instrument. All the licenses used by that instrument are displayed.

  8. From this list of licenses, find all the capability and connectivity licenses associated with the software model you want to move.

  9. Drag and drop each of these licenses to the hostname/address node of the target instrument.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the ALM software.

  3. In the tree view, delete the transportable license from the source instrument (either right-click the license and then select Delete, or select the license and then press the Delete key).

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the ALM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into ALM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Using the Software

Concept | provides conceptual information about DFS topics to guide you in configuring signal parameters.
Tutorials | provides specific instructions for using some of the software's capabilities.
User Interface | describes the features of the graphical user interface.
API Control | describes the API interface.
Troubleshooting | describes how to resolve common software and instrument problems.


Concept

The following topics are covered in this section.

What is DFS?

Basic Concept of Radar Profile

FCC Radar Profiles

ETSI Radar Profiles

Japan MIC Radar Profiles

Simulated Frequency Hopping Generation


DFS

Real Time

What is DFS?

DFS is short for Dynamic Frequency Selection. It is a communications technique in which transmitters actively “listen” to the RF environment and dynamically choose transmit channels based on the environment’s characteristics.

Unlicensed devices, typically as WLANs/ WiMax application, are being allowed to operate in the same frequency spectrum that is currently allocated to licensed devices as radar systems. Due to radar systems are guaranteed to have spectrum protection. So the unlicensed devices must choose other operating channel that covers a frequency range not currently utilized by nearby operational radar to ensure they do not interfere with operating radar systems. The DFS standard (like ETSI 301893 V1.7.1, FCC 06-96, and Japan MIC) defines a set of radar profiles, against which unlicensed commercial devices must be validated to ensure proper systematic radar avoidance.


Basic Concept of Radar Profile

The figure below shows some basic concepts in the burst/pulse of the basic radar profile.

Pulse Repetition Frequency (PRF) is the reciprocal of Pulse Repetition Interval (PRI), that is PRF = 1/ PRI.


FCC

Real Time

FCC Radar Profiles

The Federal Communications Commission (FCC) DFS standard FCC 06-96 defines the types of radar waveforms that unlicensed devices operating in 5250~5350 MHz and 5470~5725 MHz should be able to detect.It identifies six radar test types, including three basic categories of radar waveform simulations:

  • Short Pulse Radar Test Waveforms
  • Long Pulse Radar Test Waveforms
  • Frequency Hopping Radar Test Waveforms

Short Pulse Radar Test Waveforms

Short pulse radar waveform is comprised of a number of pulses. The table below lists the parameters for waveforms of type 1~4. The pulse width, PRI and number of pulses are randomly selected from the range listed.

For Short Pulse Radar Type 1, the same waveform is used a minimum of 30 times. If more than 30 waveforms are used for Short Pulse Radar Types 2 through 4, then each additional waveform must also be unique and not repeated from the previous waveforms.

Radar Type | Pulse Width (μs) | Pulse Repetition Interval PRI (μs) | Number of Pulses | Minimum Number of Trials
1 | 1 | 1428 | 18 | 30
2 | 1~5 | 150~230 | 23~29 | 30
3 | 6~10 | 200~500 | 16~18 | 30
4 | 11~20 | 200~500 | 12~16 | 30

Long Pulse Radar Test Waveform

The long pulse radar test waveform consists of a series of bursts, randomly chosen between 8 and 20. Each burst has a series of chirp modulated pulses.

The transmission period of long pulse radar test waveform is 12 second. This time is divided into equal durations depending on the number of bursts (8~20).

As listed in the table below, a burst may contain one, two, or three pulses. The pulse width and FM chirp deviation are randomly chosen for each burst and are the same for all pulses within one burst. In contrast, the pulses inside one burst can have different PRIs.

Radar Type | Pulse Width (μs) | Chirp Width (MHz) | Pulse Repetition Interval PRI (μs) | Number of Pulses per Burst | Number of Bursts | Minimum Number of Trials
5 | 50~100 | 5~20 | 1000~2000 | 1~3 | 8~20 | 30

To generate the long pulse radar test waveform, N7607B Signal Studio for DFS Radar Profiles software uses the parameter structure as below. You can see that in each waveform, there are a number of bursts, with the number randomly chosen from 8~20. And in each burst, there are parameters like bust offset, PRI-1, PRI-2, etc. Figure 2 shows the relationship of these parameters. Burst offset is randomly chosen in the range from 1 μs to (Burst Period – (PRI-1) – (PRI-2) – (PRI-3)).

Figure 1. Parameter structure for Long Pulse Radar Test Waveform Generation

Figure 2. Graphical representation of relationship for parameters in each burst

Frequency Hopping Radar Test Waveform

The frequency hopping radar waveform contains 100 bursts, each of which operating on a different frequency point. The 100-length frequency hopping sequence is randomly selected out of 475 integer frequencies from 5250 to 5724 MHz without any repetition. Each burst consists of 9 pulses with 1 μs pulse width and 333 μs PRI.

Refer to Simulated Frequency Hopping Generation for more details of how the frequency hopping radar signals are generated in the signal generator.

Radar Type | Pulse Width (μs) | Pulse Repetition Interval PRI (μs) | Pulses per Hop | Hopping Rate (kHz) | Hopping Sequence Length (ms) | Minimum Number of Trials
6 | 1 | 333 | 9 | 0.333 | 300 | 30


ETSI

Real Time

ETSI Radar Profiles

ETSI standard EN301 893 V1.7.1. the European Union’s harmonized radio standard for unlicensed devices operating in the 5150~5350 MHz and 5470~5725 MHz frequency bands, has DFS requirements. It specifies the types of radar waveforms that devices operating in 5250~5350 MHz and 5470~5725 MHz should be able to detect. The detailed parameters are listed in the table below.

Radar type 1~4 are constant PRF based signals. Radar type 4 is a chirp signal with ±2.5 MHz frequency deviation. Radar type 5 and 6 are single pulse based staggered PRF radar test signals using 2 or 3 different PRF values, see Figure 1. For radar type 5, the difference between the PRF values chosen shall be between 20 and 50 Hz. For radar type 6, the difference shall be between 80 and 400 Hz.

Radar Type | Pulse Width (μs) | Pulse Repetition Frequency PRF(Hz) | Number of Different PRFs | Number of Pulses per Burst
Ref. | 1 | 700 | 1 | 18
1 | 0.5~5 | 200~1000 | 1 | 10
2 | 0.5~15 | 200~1600 | 1 | 15
3 | 0.5~15 | 2300~4000 | 1 | 25
4 | 20~30 | 2000~4000 | 1 | 20
5 | 0.5~2 | 300~400 | 2 or 3 | 10
6 | 0.5~2 | 400~1200 | 2 or 3 | 15

Figure 1. General structure of a single burst, which is a pulse based stagger PRF radar test signal (Source: ETSI EN 301 893 V1.7.1)

Figure 2. General structure of a single burst, which is a packet based stagger PRF radar test signal (Source: ETSI EN 301 893 V1.7.1)


Japan MIC Concept

Real Time

Japan MIC Radar Profile

In Japan DFS requirements, the radar waveform parameters are different for the frequency band 5250 ~ 5350 MHz (W53) and 5470 ~ 5725 MHz (W56).

W53 Radar Test Waveform

W56 Radar Test Waveform

W53 Radar Test Waveform (Fixed Radar Parameters)

In W53 band, there are two fixed pulse sequences which is to emulate weather radar.

Test Signal | Pulse Width (μs) | Pulse Repetition Frequency (Hz) | Number of Continuous Pulses | Repetition Cycle (s)
Fixed pulses 1 | 1.0 | 700 | 18 | 15.0
Fixed pulses 2 | 2.5 | 260 | 18 | 15.0

W56 Radar Test Waveform

In W56 band, there are three fixed pulse radar test waveforms, three variable pulse radar test waveform, chirp radar test waveform and frequency hopping radar test waveform.

Fixed Pulse Radar Test Waveform

Variable Pulse Radar Test Waveform

Chirp Radar Test Waveform

Frequency Hopping Radar Test Waveform

Fixed Pulse Radar Test Waveform

Test Signal | Pulse Width (μs) | Pulse Repetition Frequency (Hz) | Number of Continuous Pulses | Repetition Cycle (s)
Fixed pulses 1 | 0.5 | 720 | 18 | 15.0
Fixed pulses 2 | 1.0 | 700 | 18 | 15.0
Fixed pulses 3 | 2.0 | 250 | 18 | 15.0

Variable Pulse Radar Test Waveform

Test Signal | Pulse Width (μs) | Pulse Repetition Frequency (Hz) | Number of Continuous Pulses | Repetition Cycle (s)
Variable pulse 4 | 1~5 | 4347~6667 | 23~29 | 15.0
Variable pulse 5 | 6~10 | 2000~5000 | 16~18 | 15.0
Variable pulse 6 | 11~20 | 2000~5000 | 12~16 | 15.0

Chirp Radar Test Waveform

Test Signal | Pulse Width (μs) | Chirp Width (MHz) | Pulse Repetition Frequency (Hz) | Number of Continuous Pulses | Repetition Cycle (s) | Number of Bursts
Chirp | 50~100 | 5~20 | 500~1000 | 1~3 | 12.0 | 8~20

To generate the Chirp radar test waveform, N7607B Signal Studio for DFS Radar Profiles software uses the parameter structure as below. You can see that in each waveform, there are a number of bursts, with the number randomly chosen from 8~20. And in each burst, there are parameters like bust offset, PRI-1, PRI-2, etc. Figure 2 shows the relationship of these parameters. Burst offset is randomly chosen in the range from 1 μs to (Burst Period – (PRI-1) – (PRI-2) – (PRI-3)).

Figure 1. Parameter structure for Long Pulse Radar test waveform generation

Figure 2. Graphical representation of relationship for parameters in each burst

Frequency Hopping Radar Test Waveform

Test Signal | Pulse Width (μs) | Pulse Repetition Frequency (Hz) | Number of Continuous Pulses | Burst Interval (ms) | Repetition Cycle (s) | Hopping Sequence Length (ms)
Hopping | 1.0 | 3000 | 9 | 3 | 10.0 | 300

Refer to Simulated Frequency Hopping Generation for more details of how the frequency hopping radar signals are generated in the signal generator.

The hopping frequency shall be any frequency that ranges from 5,250 to 5,724 MHz in increments of 1 MHz.


Simulated Frequency Hopping Generation

For FCC and Japan MIC radar profiles, frequency hopping radar waveform contains 100 bursts, each operating on a different frequency point. The 100-length frequency hopping sequence is randomly selected out of 475 integer frequencies from 5250 to 5724 MHz without any repetition. Each burst consists of 9 pulses with 1 μs pulse width and 333 μs PRI.

In the N7607B Signal Studio for DFS Radar Profiles software,100-length frequency hopping list is created first. Note that not all these frequency point can be actually transmitted. The offsets of these frequencies to the center frequency are calculated. As a result, only the bursts within the channel bandwidth will be actually transmitted. See Figure 1. The dotted blue line in the center represents the center frequency. The hops outside the signal generator bandwidth are shown as black three dots and the hops within the bandwidth are shown as three red dots. Only these hops in red will be transmitted by the signal generator and visible in the receiver side.

Figure 1. Frequency Hopping Sequence


Tutorials

The following topics are covered in this section.

Generating Radar Signals for DFS Test

Saving and Loading DFS Waveforms in the Instrument


system connection for making DFS test

Real Time

Generating Radar Signals for DFS Test

This procedure guides you through the settings to generate a radar signal using N7607B Signal Studio for DFS Radar Profiles.

  1. Click DFS in the tree view. Then click Standards of Radar Profiles, and use the drop-down arrow to display a menu from which you can select the desired radar profile, for example, FCC.

    Closed Selecting radar profiles

    The name of the node under DFS in the tree view depends on the radar profile selected here. If the radar profile is selected to be FCC or Japan MIC, the node under DFS in the tree view will be FCC or Japan MIC as well. If the radar profile is selected to be ETSI, the node under DFS in the tree view will be ETSI 0.

  2. Click FCC in the tree view. Then click Radar Type, and use the drop-down arrow to display a menu from which you can select the desired type, for example, Type 4.

    Closed Selecting radar type.

  3. Click Create Trial List [image] button. A new window named "Trial List Table" will be displayed as below.

    For different radar profile and different radar type, the display of parameters in the Settings part and columns in the Trial List table might be different.

  4. Click Download button for each trial to generate and download the waveform to the signal generator for playback. The signal for each trial is unique as required by the standards.


Saving and Loading DFS Waveforms in the Instrument

Waveform sequences feature in the instrument are used in generating the DFS testing waveforms.After downloading the waveform into the instrument, you can see two files are downloaded, a waveform in the BBG Media (volatile memory) and a sequence file in the Int Media (non-volatile memory), as shown in the figure below. If in the DFS test waveform, the number of burst is greater than one, another sequence file will also be generated and downloaded named "DFS(Sequence name)_SEQ ".

The waveform name and sequence name can NOT be renamed on the instrument. If you want to store a certain trial, you must rename the Sequence Name (under DFS node in software) of it before downloading.

Saving DFS Waveforms

As sequence file is located in the non-volatile memory, you only need to save the waveform file.

On the instrument,

  1. Press Mode > Dual ARB >Select Waveform>Waveform Segments.

  2. Press Load Store to highlight Store, and then use the arrow keys to highlight the desired waveform.

  3. Press Store Segment into Int Media.

Loading DFS Waveforms

On the instrument,

  1. Press Mode > Dual ARB >Select Waveform>Waveform Segments.

  2. Press Load Storeto highlight Load, and then use the arrow keys to highlight the desired waveform.

  3. Press Load Segment From Int Media.

  4. Press Mode > Dual ARB >Select Waveform, use the arrow keys to highlight the desired sequence file, then press Select Waveform.

    The file to select here is sequence file as shown in the figure above, not the waveform file.

  5. Toggle ARB to On.


User Interface - Arb

Real Time

User Interface

User Interface Basics | describes basic features of the user interface.
Menu Bar and Tool Bar | describes the functions of menu selections and toolbar icons.
Status Bar | describes the information provided in the Status Bar.
Hardware Settings | describes how to view and configure connected instrument parameters.
DFS | describes how to configure DFS waveform parameters.
Trial List Table | describes the functions of each sections in the Trial List window.


User Interface Basics

Working with Cells

The software interface uses cells for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output (in the Basic section of the Signal Generator node)uses discrete settings. You must select either On or Off.

RF Amplitude uses arbitrary settings. You can enter any value within the designed range.

To change a discrete setting, double-click the cell with the parameter name, or double-click the cell containing the current setting of the parameter. Each double-click changes the parameter to the next available selection. All non-default selections appear in bold text.

You can also change a setting by clicking the down arrow of the cell and clicking the desired selection.

To change an arbitrary setting, double-click either the cell with the parameter name, or the cell containing the current parameter setting. When the setting is highlighted, enter the new value. All non-default values appear in bold text.

Viewing Parameter Descriptions

Select the Hint check box [image] and then click a parameter cell to display a brief description of the parameter.

Using the Tree View

The left pane of the main window, called the tree view, enables you to navigate between quick setups, hardware setups, and waveform setups. The right pane of the main window, called the parameter view, enables you to view and change instrument settings and waveform settings. Selecting an item in the tree view displays the related elements in the parameter view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for

horizontal resizing

Mouse pointer for

vertical resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. To collapse the table, click the minus [image] box next to the table title. To expand the table, click the plus [image] box.

Related Topics

User Interface


Menu Bar and Tool Bar

Click an icon or a command in the menus shown below to view its description.

File | Control | System | Tools | Help
New | Create Trial List | Change Hardware Connections | Options | Contents
Open... |  | Run System Configuration Wizard |  | Search
Save As... |  |  |  | API Reference
Exit |  |  |  | Software License Terms
 |  |  |  | Keysight Signal Studio website
 |  |  |  | About

File

New

Sets the software to its standard initial state using the current hardware configuration. The window name changes to Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters).

Open...

Opens a saved settings (.scp). Opening a settings file configures the waveform data parameters for use with the currently selected hardware.

If you have made parameter changes, a window opens that enables you to save the settings to a file.

To use a settings file with a different hardware configuration, select Change Hardware Connections, or Run System Configuration Wizard and re-configure the hardware.

Save as...

Saves the parameters configured in the Waveform Setup node and Instrument node to a specified settings file (.scp). Settings files do not include the hardware configuration information such as LAN or GPIB settings for specific instruments listed in the Hardware node.

The Trial List will not be saved as part of .scp settings file. If you want to save the trial list together with the current settings, first, save the trial list in the Trial List Table window, then exit that window and save the settings file.

Exit

Stops and closes the software. If you made any waveform setup changes, a dialog box opens asking if you want to save the changes before exiting. The Closed close button performs the same function as selecting Exit.

Control

Create Trial List

Creates the trial list based on the current settings. Another window named "Radar Profile Display" will be displayed. You can make edits to the trial list in a predefined range and download the trails in the trials list to the instrument by pressing [image] key before each trial in the window.

System

Change Hardware Connections

Opens Step 3 of the System Configuration Wizard, where you can select a previously saved hardware configuration, or define and save a new hardware configuration.

Run System Configuration Wizard

Enables you to configure your system component connections and save the hardware configuration for later use. Use the System Configuration Wizard to set up a new instrument connection.

Tools

Options enables or disables the Closed welcome dialog display.

Help

Contents opens the help system and displays the table of contents. You can also use the F1 key.

Search opens the Help system and displays the search utility.

API Reference opens a Help system for the API programming commands and their descriptions.

Software License Terms displays a description of the licensing terms agreement for Keysight's Signal Studio software.

Keysight Signal Studio website opens a webpage of all the Signal Studio products and their available options.

About displays the version and release date of the software.


Status Bar

The status bar at the bottom of the window updates in real-time to show the status of operations, such as waveform generation and downloading. Software licensing information for the connected instrument is also displayed here.

The status bar is divided into the following three sections:

Run Status Section

This section shows the status of the software's setup.

The following are some of the possible run status messages:

Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status Section

This section shows the status of the connection to the instrument.

The following are some of the possible connection status messages:

Connected | The instrument connection is verified.
Not Connected | The software cannot connect to the instrument.
Blank (no text) | Simulated hardware mode.

Software Message Section

This section shows license status, waveform generation progress, and error information for your setup.


Hardware Settings

Click Hardware in the tree view to display read-only information about the hardware.

When using a simulated signal generator connection, <Simulated Hardware> appears in the Name cell and <Simulated MXG/EXG/ESG/PSG Signal Generator> appears in the Connection cell. N/A appears in most of the other cells.

When using a simulated PXB connection, <Simulated Hardware> appears in the Name cell, PXB appears in the Description cell, and <Simulated PXB> appears in the Connection cell. N/A appears in the Model Number, Serial Number, and Firmware Revision cells.

Click the Run Self-Tests button to run a test of the I/O interface connection between the instrument and the PC. RunSelf-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window also closes the hardware node and opens the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Click the Test I/O Connections button to run a test of the I/O interface connection between the instrument and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window also closes the hardware node and opens the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system.

Description

View the hardware configuration type.

2. MXG/EXG/ESG/PSG Signal Generator (or PXB) Details

Connection

View connection details (LAN or GPIB).

Model Number

View the instrument model number.

Serial Number

View the instrument serial number.

Firmware Revision

View the instrument firmware revision number.

2.1 Options

View the options of the connected instrument. These cells are not displayed when using simulated hardware.

Related Topics

Keysight IO Libraries

1. Configuration


Instrument

To open the instrument node, click Instrument in the tree view. If there is more than one instrument connection, there will be a corresponding number of Instrument listings in the tree view.

Tool Bar Functions

Update to Instrument

Update from Instrument

Preset

DC Cal

Power Search

Hint

Parameters

1. Configuration | 2. Basic | 3. I\Q | 4. ALC
Instrument Model Number | Frequency | IQ Adjustments | ALC
 | Amplitude | I Offset | ALC Bandwidth
 | RF Output | Q Offset | Power Search Reference
 |  | I/Q Gain Balance | RF During Power Search
 |  | Quadrature Angle Adjustment |
 |  | I/Q Timing Skew Path |
 |  | I/Q Correction Optimization Path |
 |  | I/Q Skew |
 |  | I/Q Delay |
5. Baseband | 6. Dual ARB Marker Utilities | 7. Trigger | 8. Real-time AWGN Setup
Sample Clock | Pulse/RF Blanking | Trigger Type | Real-time Noise
VCO Clock | ALC Hold | Trigger Source | Carrier to Noise Ratio
Waveform Runtime Scaling | Alternate Amplitude | External Source | Carrier Bandwidth
I/Q Modulation Filter | Marker 1 Polarity | External Polarity | Noise Bandwidth Factor
I/Q Output Filter | Marker 2 Polarity | External Delay | Noise Bandwidth
Modulation Attenuation Mode | Marker 3 Polarity | External Delay Time |
Modulation Attenuation | Marker 4 Polarity | Continuous |
High Crest Mode |  | Single |
ARB Reference |  | Segment Advance |
Reference Frequency |  | Gated |

Click the Update to Instrument button to send the parameters to the connected instrument.

Downloading a waveform or clicking the Update Hardware Settings button [image] also updates settings to the instrument.

Click the Update from Instrument button to retrieve the parameters from the connected instrument.

Click the Preset button to set the signal generator to a factory-defined or user-defined state.

Refer to the signal generator's user's guide for information on setting a user-defined state.

Click the DC Cal button to execute an I/Q DC calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument and activate this button.

Set ALC to Off toactivate this button.

Click the Power Search button to execute a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument.

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

1. Configuration

Instrument Model Number

Displays the model number of the currently connected instrument.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

N5182A: -20% to 20%

All other models: -50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range:

N5182A: -20% to 20%

All other models: -50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range:

N5182A: -1 dB to 1 dB in 0.001 dB steps

All other models: -1 dB to 4 dB in 0.01 dB steps

Default:

0.00 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Timing Skew Path

Choice: RF | BB

Default: RF

Double-click or use the drop-down menu to select the I/Q timing skew path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Dig Bus Output optimizes the Digital Bus path by applying calibration factors to only this path, leaving the RF OUT and I/Q OUT paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Skew

Range:

N5182A: -800 ns to 800 ns, in 1 ps steps

All other models: -2.0 to 2.0 seconds, in 1 ps steps

Default:

0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: -1.0 to 1.0 seconds, 1 ps step

Default: 0.0 ps

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

4. ALC

ALC

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

ALC Bandwidth

Choice: Auto | 100.00 Hz | 1.00 kHz | 10.00 kHz | 100.00 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: RMS

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

5. Baseband

Sample Clock

Displays the sample clock. The sample clock frequency of the signal generator is automatically calculated by the program. The range depends on the connected instrument.

VCO Clock

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

Internal - the signal generator uses its internal VCO Clock.

External - the signal generator uses an external VCO Clock

This parameter is not available for all instrument model numbers and may be grayed out.

Waveform Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 70%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q modulation filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q output filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Set the modulation attenuation mode for the I/Q modulator to automatic or manual.

AUTO – the signal generator optimizes the modulation attenuation for the current conditions.

Manual – applies the value set in the Modulation Attenuation cell.

Modulation Attenuation

Range: 0 to 40 dB (minimum increment 0.01 )

Default: 6.00 dB

Use this parameter to reduce the signal level driving the I/Q modulation block. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set the Modulation Attenuation Mode to Manual to enable this parameter.

High Crest Mode

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the signal generator's high crest mode.

On – processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

Off – disables the high crest mode.

This parameter is not available for all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s ARB reference source.

Internal – the signal generator uses its internally generated 10 MHz signal as the reference source.

External – the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available for all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.250 to 100 MHz

Default: 10.00 MHz

Enter a frequency value when using an externally supplied reference signal. See the signal generator user’s guide for information on external references.

Set ARB Reference to External to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: Marker 3

Double-click or use the drop-down menu to select an RF blanking function. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

None – disables RF blanking.

Marker 1 through Marker 4 – selects a marker to activate RF blanking.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

ALC Hold

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

None – disables ALC hold.

Marker 1 through Marker 4 – assigns a marker for the ALC hold function.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and the output power level does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

Alternate Amplitude

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

None – disables the alternate amplitude function.

Marker 1 through Marker 4 – assigns a marker for the alternate amplitude function.

When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available for all instrument model numbers and may be grayed out.

Marker 1 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 1.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 2 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 2.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 3 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 3.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 4 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 4.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

7. Trigger

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must select External as the Trigger Source.

Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Double-click or use the drop-down menu to select the triggering method.

Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External – causes a waveform to trigger from an externally supplied trigger signal.

Bus – enables a command sent through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector to trigger a waveform.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Double-click or use the drop-down menu to select the rear-panel input for the external trigger signal. External must be selected as the trigger source.

Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select External as the trigger source.

Negative – the signal generator triggers an event when it receives a negative change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

Positive – the signal generator triggers an event when it receives a positive change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

External Delay

Choice: On | Off

Default: Off

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range:

N5182A: 8 ns to 30 s, in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default:

1 ms

Sets the amount of time to delay the signal generator's response to an external trigger, in 8 ns or 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

8. Real-time AWGN Setup

Real-time Noise

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On – enables the addition Real-time Noise.

Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: -100 to 100 dB

Default: 0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range:

N5182A 1.0 Hz to 100 MHz

E4438C 1.0 Hz to 80 MHz

Default: 1.0 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier). Also, the maximum upper range is limited to Base Sampling Rate x OSR before download is finished.

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available for all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 0.001 Hz to 100.000 MHz

Default: 1.000 Hz

Set or change the noise bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.


Waveform Setup

Real Time

DFS

DFS parameter pane is divided into two parts, parameter setting part on the top and ETSI setting table at the bottom.

The ETSI setting table is only visible when Standards of Radar Profiles is set to ETSI.

Parameters

ETSI Setting Table

Parameters

1. Basic | 2. DFS Settings | 3. Markers Settings
Sequence Name | Standards of Radar Profiles | Marker 1 Source
Comment | Standard Version | Marker 2 Source
Sample Rate | Operating Frequency Band | Marker 3 Source (RF Blanking Control)
 | Seed | Marker 4 Source

1. Basic

Sequence Name

Enter the name of the sequence file to be played on the signal generator.

Comment

Enter an alpha-numeric comment up to 32 characters in length. The comment resides in the file header and can include spaces and special characters.

Sample Rate

Range:the minimum value is 10 MHz and the maximum value depends on the supported maximum sample rate of the connected instrument.

Default: 10 MHz

Couplings:

  1. If the Radar Profile or Radar Type is switched, the sample rate will be automatically reset to a value that is appropriate for that radar signal. For FCC type5 and Japan MIC chirp, it’s 100MHz; For FCC type6 and Japan MIC hopping, it’s the maximum sample rate of the connected instrument.For the rest radar types, the sample rate is 10MHz.
  2. The Sample Clock under Instrument node is read-only, and its value depends on the Sample Rate.

Enter the sample rate used to generate the waveform.

2. DFS Settings

Standards of Radar Profiles

Choice: FCC| ETSI| Japan MIC

Default: FCC

Couplings: In the tree view of the display, the node under DFS will be changed with the Standards of Radar Profiles selected here.

Select a radar profile. A variety of organizations proposed their own standards. By selecting the organisation names, corresponding standard can be selected.

  • FCC is the organization based in the USA.
  • ETSI is the organization based in Europe.
  • Japan MIC is the organization based in Japan.

Standard Version

Default:ETSI EN 301 893 V1.7.1

Couplings:This cell is only visible when the Standards of Radar Profiles is selected to be ETSI.

This cell is read-only. It displays the version of ETSI standard to be used. Currently, only ETSI EN 301 893 V1.7.1 is supported.

Operating Frequency Band

Choices: Others| 5600 MHz to 5650 MHz

Default: Others

Couplings: This cell is only visible when the Standards of Radar Profiles is selected to be ETSI.

Select the operating frequency band. This parameter is to support NOTE 6 in Closed Table D.4 of ETSI EN 301 893 v1.7.1 and it affects the Pulses per burst for each PRF setting.

Source: ETSI EN 301 893 v1.7.1

Set the Operating Frequency Band to 5600 MHz to 5650 MHz when making CAC and Off-Channel CAC requirements test in 5600 MHz to 5650 MHz band. For other test cases, set Operating Frequency Band to Others.

Seed

Range: -1 to 2147483647

Default: 99991

Couplings: With the same seed, the Random Number Generator (RNG) generates the same random values. When the seed is -1, System Time will be used as the seed of RNG. Then the generated trial list will be different at different time.

The seed is the initial state of a Random Number Generator (RNG), which is used to generate a random value within the predefined range for parameters such as pulse width, PRI, or number of pulses for each trial , as shown in the table below (FCC radar types).

Radar Type | Pulse Width (μs) | Pulse Repetition Interval PRI (μs) | Number of Pulses | Minimum Number of Trials
1 | 1 | 1428 | 18 | 30
2 | 1~5 | 150~230 | 23~29 | 30
3 | 6~10 | 200~500 | 16~18 | 30
4 | 11~20 | 200~500 | 12~16 | 30

3. Marker Settings

Marker 1 Source

Choices: Waveform Start| Burst Start| Pulses| Waveform End| None

Default: Waveform Start

Select the marker points for Marker 1.

  • Waveform Start indicates the beginning of the radar signal.

  • Burst Start indicates the beginning of each burst inside of the radar signal.

  • Pulses controls the RF Blanking, and is used to do the pulse modulation. It’s the envelop of radar signal.

  • Waveform End indicates the end of radar signal.

Marker 2 Source

Choices: Waveform Start| Burst Start| Pulses| Waveform End| None

Default: Burst Start

Select the marker points for Marker 2.

  • Waveform Start indicates the beginning of the radar signal.

  • Burst Start indicates the beginning of each burst inside of the radar signal.

  • Pulses controls the RF Blanking, and is used to do the pulse modulation. It’s the envelop of radar signal.

  • Waveform End indicates the end of radar signal.

Marker 3 Source (RF Blanking Control)

This cell is read-only. It is set to Pulses and used for RF blanking control.

Marker 4 Source

Choices: Waveform Start| Burst Start| Pulses| Waveform End| None

Default: Waveform End

Select the marker points for Marker 4.

  • Waveform Start indicates the beginning of the radar signal.

  • Burst Start indicates the beginning of each burst inside of the radar signal.

  • Pulses controls the RF Blanking, and is used to do the pulse modulation. It’s the envelop of radar signal.

  • Waveform End indicates the end of radar signal.

ETSI Setting Table

This table is only visible when Standards of Radar Profiles is set to ETSI. As ETSI uses mixed trials with different radar types for test, this ETSI setting table enables you to generate such trials.

  • Click [image] button to add a new ETSI radar profile to the table.You can add a maximum of seven profiles and the new one is always added as the last row of the table.

  • Click [image] button to remove the selected profile in the list.

Radar Type

Choices: Reference | Type 1 | Type 2 | Type 3 | Type 4 | Type 5 | Type 6

Default: Reference

Couplings: Setting Radar Type in this table has the same effect as setting Radar Type under the corresponding ETSI n node.

Select a radar type for the selected ETSI radar profile. For the detailed description of each type, refer to ETSI Radar Profiles.

Number of Trials

Range: 1 to 200

Default: 20

Couplings: Setting Number of Trials in this table has the same effect as setting Number of Trials under the corresponding ETSI n node.

Enter the number of trials for the current ETSI radar profile.

Number of Bursts

Range: 1 to 100

Default: 1

Couplings: Setting Number of Bursts in this table has the same effect as setting Number of Bursts under the corresponding ETSI n node.

Enter the number of times the burst will be repeated.

Burst Interval Time

Range: 0 to 600s

Default: 0s

Couplings: Setting Burst Interval Time in this table has the same effect as setting Burst Interval Time under the corresponding ETSI n node.

Enter the burst interval time. For the concept of the burst interval time, refer to Basic Concept of Radar Profile.


FCC

1. Basic | 2. Signal Configuration
Number of Trials | Pulse Width
Radar Type | PRI
Channel Bandwidth | Number of Pulses per Burst
 | Number of Bursts
 | Chirp Width
 | Frequency Hopping Range

1. Basic

Number of Trials

Range: 1 to 200

Default: 30

Enter the number of trials to generate.

Radar Type

Choices: Type 1 | Type 2 | Type 3 | Type 4 | Type 5 | Type 6

Default: Type 1

Select a radar type of FCC radar profiles. For the detailed description of each type, refer to FCC Radar Profiles.

Channel Bandwidth

Range: 1 MHz to Maximum channel bandwidth supported by the connected instrument

Default:Maximum channel bandwidth supported by the connected instrument

Enter the channel bandwidth the RLAN device operating on.For FCC type 6 frequency hopping signals, only the frequency hopping points within the frequency band (formed by center frequency and channel bandwidth) will be actually transmitted by the instrument. Refer to Simulated Frequency Hopping Generation for more details.

2. Signal Configuration

Pulse Width

Displays the pulse width.If the pulse width of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

PRI

Displays the Pulse Repetition Interval (PRI) value. If the PRI of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Number of Pulses per Burst

Displays the number of pulses per burst. If the number of pulses per burst value of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Number of Bursts

Displays the number of bursts in the radar signal. If the number of bursts value of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range

Chirp Width

This cell is only visible when Radar Type is set to type 5 and it displays the bandwidth of the chirp radar signal. As it is a range as defined in the standard, there are three other parameters under it, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Frequency Hopping Range

This cell is only visible when Radar Type is set to type 6. It displays the frequency band of the frequency hopping. As the frequency band is a range, there are three other parameters under it, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.


ETSI

Real Time

ETSI 0

1. Basic | 2. Signal Configuration | 3. Burst Configuration
Trial IDs | Number of Bursts | Pulse Width
Number of Trials | Burst Interval Time | Pulse Repetition Frequency
Radar Type |  | Number of Different PRFs
 |  | Pulses per Burst for Each PRF
 |  | Chirp Width
 |  | Single Pulse/Packet Based
 |  | Difference Between PRF

1. Basic

Trial IDs

Displays the trial ID range included in the current ETSI radar profile.

Number of Trials

Range: 1 to 200

Default: 20

Couplings: Setting Number of Trials here has the same effect as setting Number of Trials in the corresponding row of the ETSI setting table under DFS node.

Enter the number of trials for the current ETSI radar profile.

Radar Type

Choices: Reference | Type 1 | Type 2 | Type 3 | Type 4 | Type 5 | Type 6

Default: Reference

Couplings: Setting Radar Type here has the same effect as setting Radar Type in the corresponding row of the ETSI setting table under DFS node.

Select a radar type for the current ETSI radar profile. For the detailed description of each type, refer to ETSI Radar Profiles.

2. Signal Configuration

Number of Bursts

Range: 1 to 100

Default: 1

Couplings: Setting Number of Bursts here has the same effect as setting Number of Bursts in the corresponding row of the ETSI setting table under DFS node.

Enter the number of times the burst will be repeated.

Burst Interval Time

Range: 0 to 600s

Default: 0s

Couplings: Setting Burst Interval Time here has the same effect as setting Burst Interval Time in the corresponding row of the ETSI setting table under DFS node.

Enter the burst interval time. For the concept of the burst interval time, refer to Basic Concept of Radar Profile.

3. Burst Configuration

Pulse Width

Displays the pulse width.If the pulse width of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Pulse Repetition Frequency

Displays the Pulse Repetition Frequency (PRF). If the PRF of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Number of Different PRFs

Displays the number of different PRFs in a burst for the selected radar type.

Pulses per Burst for Each PRF

Displays the number of pulses for each PRF in one burst.

Chirp Width

This cell is only visible when Radar Type is set to type 4 and it displays the bandwidth of the chirp radar signal,

Single Pulse/Packet Based

This cell is only visible when Radar Type is set to type 5 or type 6 and it displays the way that the pulses with different PRFs are arranged. For details about single pulse based and signal packet based, refer to ETSI Radar Profiles.

Difference Between PRF

This cell is only visible when Radar Type is set to type 5 or type 6 and it displays the difference between PRFs.

In ETSI radar profiles, type 5 and type 6 uses 2 or 3 different PRF values. For type 5, the difference between PRF values shall be chosen between 20 and 50 Hz. For type 6, the difference between PRF values shall be chosen between 80 to 400 Hz.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.


Japan MIC

1. Basic | 2. Signal Configuration
Number of Trials | Pulse Width
Radar Type | Pulse Repetition Frequency
Channel Bandwidth | Number of Continuous Pulses
 | Repetition Cycle
 | Number of Bursts
 | Chirp Width
 | Frequency Hopping Range

1. Basic

Number of Trials

Range: 1 to 200

Default: 20

Enter the number of trials to generate.

Radar Type

Choices: W53 Fixed Pulse 1 | W53 Fixed Pulse 2 | W56 Fixed Pulse 1 | W56 Fixed Pulse 2 | W56 Fixed Pulse 3 | W56 Variable Pulse 4 | W56 Variable Pulse 5 | W56 Variable Pulse 6 | W56 Chirp | W56 Hopping

Default: W56 Fixed Pulse 1

Select a radar type of Japan MIC radar profiles. For the detailed description of each type, refer to Japan MIC Radar Profiles.

Channel Bandwidth

Range: 1 MHz to Maximum channel bandwidth supported by the connected instrument

Default:Maximum channel bandwidth supported by the connected instrument

Enter the channel bandwidth the RLAN device operating on.For W56 frequency hopping signals, only the frequency hopping points within the frequency band (formed by center frequency and channel bandwidth) will be actually transmitted by the instrument. Refer to Simulated Frequency Hopping Generation for more details.

2. Signal Configuration

Pulse Width

Displays the pulse width.If the pulse width of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Pulse Repetition Frequency

Displays the Pulse Repetition Frequency (PRF). If the PRF of the selected radar type is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Number of Continuous Pulses

Displays the number of pulses in a burst. If the number is a range instead of a fixed value, another three parameters will be displayed under this cell, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Repetition Cycle

Displays the repetition cycle of the radar waveform.

Number of Bursts

This cell is only visible when Radar Type is set to W56 Chirp or W56 Hopping and it displays the number of burst in the radar signal.

Chirp Width

This cell is only visible when Radar Type is set to W56 Chirp and it displays the bandwidth of the chirp radar signal. As it is a range as defined in the standard, there are three other parameters under it, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.

Frequency Hopping Range

This cell is only visible when Radar Type is set to W56 Hopping. It displays the frequency band of the frequency hopping. As the frequency band is a range, there are three other parameters under it, step, min, and max.

Step

Displays the resolution of random value selection.

Min

Displays the lower limit of the range.

Max

Displays the upper limit of the range.


Radar Profile Display

Real Time

Trial List Table

Open this Trial List Table window by clicking the [image] button, or by clicking Control, Create Trial List in the menu bar.

This window can be divided into four parts, as shown in the figure above.

1. Window Title

Displays the window title, which includes the radar profiles and radar type of the trial list.If the parameters in the trial list are edited, a ' * ' mark will be added after the title. In this case, the this window is closes, Closed another window will pop up to confirm whether you want to save the edits or not. .

2. Save, Load and Trigger

Save

Save the parameters of the current trial list and other information to a file. The information includes some settings that are necessary for repeating the same radar signals as saved in the trial list. Take FCC Type 6 frequency hopping signal for example. The sample rate, center frequency, and channel bandwidth will also be saved.

The extension of the saved file is “tlf”, which is short for Trial List File.

Load

Load a trial list file into the current window.The loaded file can be any radar profile, ETSI, FCC, or Japan MIC. It has no relationship with the current settings. The setting information saved in the trial list file, such as sample rate, center frequency, channel bandwidth, will also be loaded.

While the loading of trial list, the software will validate all the information from file to make sure the parameters are within the defined range.

Trigger

Click the Trigger button to send a trigger event to the connected instrument.

When the Trigger Source is BUS, pressing Trigger button equals to send a SCPI command, “*TRG”. When the Trigger Source is set to Trigger Key, pressing Trigger button equals to press the Trigger button on the front panel of instrument. When the Trigger Source is set to External, clicking Trigger button here does nothing.

3. Information

Displays the settings loaded from the trial list file. These settings are necessary for the instrument to repeat the signals saved in the trial list files.

For different radar profiles and different radar types, the displayed settings might be different.For most cases, there will be sample rate. For frequency hopping radar signals, there will be another two settings,Frequency and Channel Bandwidth.

4. Trial List

The trial list displays the detailed parameters of each trial generated from the settings in the main window.

You can take the following actions on the trial list:

  • Click the [image] button before each trial to download it to the instrument.

  • If there is a [image] sign before the download button, click it to see more details of each trial.

  • For parameters generated randomly from a range, the software enables you to make edits to them as long as your input is in the range. If your input value is invalid, it will be ignored. If it is out of range, then it will be clipped to the upper or lower limit. The non-editable parameters are displayed in gray.

Note that for frequency hopping radar signals, the 100 hopping frequencies are listed in a Closed 20-by-5 table. The cells in blue mean these frequency points are within frequency band (defined by the center frequency and channel bandwidth) of the instrument and only these hopping points will be actually transmitted from the instrument. Refer to Simulated Frequency Hopping Generation for more details.


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help, usage requirements, and references.
Sample API Programs | provides information about API examples included with the software that can be modified for your application
Remote Controlling Signal Studio Using .NET API | provides a detailed procedure (PDF document) for using Signal Studio's .NET API to remotely control and automate setup configurations and to generate waveforms.


API Help

API Class Library

API commands for controlling the N7607B Signal Studio graphical user interface (GUI) are documented in the N7607B Documented Class Library (N7607API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\DFS.

Many of the links in the API help require the Microsoft Visual Studio .NET integrated development environment (IDE). Without the IDE, these links appear broken. Download the IDE to repair the links.

Refer to www.keysight.com/find/signalstudio for the latest software updates.

Sample API Programs

Sample API programming files are placed in the following default location when you install the software. You can use these samples as a starting point to develop your own API programs.

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\Keysight Signal Studio for DFS Radar Profiles\Samples

Numeric Format

This software recognizes only US style numeric format, for example, floating point is "."

Language Requirements

You must set the API locale to "en-US" using the following commands prior to starting the user main routine:

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

You can see these culture setting commands in the Main() method at:

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\Keysight Signal Studio for DFS Radar Profiles\Samples\SimpleControl\Main.cs.

References

The Microsoft.NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

Sample programs are placed in these default locations when you install the software:

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\Keysight Signal Studio for DFS Radar Profiles\Samples\SimpleControl

Using Microsoft Visual C# .NET or a similar IDE, you can modify these sample projects to develop your own API programs.

Basic Program Flow

You can create an API program by performing the following general steps. This sequence is demonstrated in the Main.cs file (C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\Keysight Signal Studio for DFS Radar Profiles\Samples\SimpleControl\Main.cs).

  1. Create an API object.

  2. Configure the instrument connection.

  3. Preset.

  4. Configure the waveform.

  5. Generate and download the waveform to the instrument.

  6. Trigger the sequence on the SG to play.

  7. End the program.

Before editing the sample programs, make backup copies of all files. To save the edited files, right-click each file, select Properties, and de-select the Read-only attribute.

Simple Control Project

The Simple Control project (...\SimpleControl\SimpleControl.sln) provides a basic program for generating and downloading waveforms using API commands.

To view the code, open the SimpleControl.sln file using the Microsoft Visual C# .NET IDE, or open the Main.cs file using a text editor, such as Notepad. Since the SimpleControl.sln program flow does not use the API GUI, you will see only the code contained in the Main.cs file in the Code Editor, as shown in Figure 1.

Figure 1. Main.cs displayed in the Microsoft Visual C# .NET IDE


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | provides solutions for communication problems between the PC and the instrument.
Instrument Problems | provides solutions for measurement or operation problems with the instrument.
Printing Problem | provides information about printing popup topics.
User Permissions | describes how to set user permissions for installing and running the software.


Software Problems

"Restricted User" cannot run Signal Studio application

When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Cause: The user permissions are not correctly set.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.

DAC Over Range Error

After downloading the waveform, the signal generator displays the following error: "Baseband Generator DAC over range".

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value to 50 percent or less.

License Error

After clicking Download on the tool bar, or Test I/O Connection in the System Configuration Wizard, an Authorization dialog box or license error message appears.

Cause: A license file for an instrument being used cannot be found in the PC or in the instrument.

Solution: To be fully functional, the software requires a valid license. You must have either a permanent license or a valid 30-day trial license for each instrument being used. To obtain a free, 30-day trial license or purchase a permanent license, see Licensing.

Firmware Error

After clicking Test I/O Connection in the System Configuration Wizard, "FW version is not valid" appears.

Cause: The signal generator firmware needs to be upgraded.

Solution: See System Requirements for information about updating the firmware.

Connection Failure

After clicking Test I/O Connection in the System Configuration Wizard, "Connection failed" appears.

Cause: The LAN or GPIB instrument connection may not be properly enabled.

Solution: Verify that all equipment is properly connected and that the LAN or GPIB interface is correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the System Configuration Wizard matches the instrument and interface you are using. See Interface Problems for more troubleshooting information.

Related Topics

Equipment Setup and Connection

Licensing


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the Connection Expert utility installed with the Keysight IO Libraries. For more information about using Connection Expert, see the Keysight IO Libraries Suite online help.

Troubleshooting the GPIB Interface

  1. Inspect the cable and connectors; confirm that none are damaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the instrument.

  3. Verify that the instrument is turned on.

  4. To verify that the GPIB address entered in the software matches that of the instrument, select Hardware in the software's tree view.

  5. Validate the connection.

    1. Select Hardware in the software's tree view and click Test I/O Connection.

    2. Read the messages in the Result and Note cells to verify that the software is connecting to the instrument.

  6. Review the information about installing Keysight I/O libraries.

Troubleshooting the LAN Interface

If the instrument is connected directly to a computer, use a crossover LAN cable; if the instrument is connected to a network/external server, use a standard LAN cable.

  1. Inspect the cable and connectors and replace if damaged.

  2. Ensure that the LAN cable is securely connected to the PC and the instrument.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. To verify that the Hostname or IP address entered in the software matches that of the instrument, select Hardware in the software's tree view.

  5. Validate the connection.

    1. Select Hardware in the software's tree view and click Test I/O Connection.

    2. Read the messages in the Result and Note cells to verify that the software is connecting to the instrument.

  6. Run the 'ping' program:

    1. On the computer go to Start > Programs > Accessories > Command Prompt (or DOS).

    2. At the C:\> prompt, enter ping <IP address>, where <IP address> is the instrument's IP address or hostname.

    3. If the instrument does not respond, contact your IT department for help.

  7. If the PC is connected directly to the instrument (using a cross-over cable) and the 'ping' program works correctly, but there is still a connection problem, add the instrument's IP address and hostname to the Hosts file, which resides at: C:\Winnt\system32\drivers\etc\Hosts.

    1. In a text editor such as Notepad, open the Hosts file.

    2. Write the IP address and hostname of the instrument at the bottom of the file.

      (Refer to the example of a hosts file below.)

    3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

<xxx.xxx.xxx.xxx> localhost

<xxx.xxx.xxx.xxx> <signal generator hostname>

Related Topics

Equipment Setup and Connection

Software Problems

Instrument Problems

Contacting Keysight Technologies


Instrument Problems

Signal Generator

Front panel keys do not work

Downloading the waveform places the signal generator in the remote operation mode and deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Error messages

  1. Check the signal generator for error messages; if possible, correct the conditions indicated by the messages.

When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. To view the full text of the error messages use the method shown for your instrument:

ESG/PSG:

Press Utility > Error Info on the signal generator front panel to view error messages on the display.

Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

EXG/MXG:

Press the Error hardkey on the signal generator front panel to view error messages on the display.

  2. Refer to the instrument's documentation for further troubleshooting information.

  3. Contact an Keysight Technologies Service Center.

Computer

  1. Verify that the equipment meets the minimum requirements. See System Requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Software Problems

Interface Problems


Printing Popup Topics

Real Time

Printing Problem

The Popup Text Prints Over Other Text

If you click the print icon ( [image]) while a popup is active, the printer prints the popup text over the existing topic text. Use the following procedure to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7607B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the DFS installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

Real Time

N7607B Release Notes

Version 1.2 - Sep 2014

Version 1.1 - Feb 2014

Version 1.0 - Oct 2013

Version 1.2 - Sep 2014

Enhancements

  • Applied Keysight brand to software

Bug Fixes

  • Fixed issue that caused the power to be lower than the ESG/PSG setting

  • Fixed issue where an unexpected burst occurred during waveform download and triggered the customer’s DUT

Version 1.1 - Feb 2014

Bug Fixes

  • Changed the name of Japanese DFS standard from "Telec" to "Japan MIC"

Version 1.0 - Oct 2013

Initial Release Features

  • Connectivity to MXG/EXG X-Series signal generators, PSG, ESG, and first generation MXG

  • DFS radar test signal generation capability

    • Radar test signal generation compliant with radar profiles defined by FCC, ETSI and Japan MIC

    • Adjustable signal parameters (within the standard-defined range) like pulse width, pulse repeat interval or frequency, number of bursts and trials, etc

    • Settable seed for generating different trial lists

    • "Save" and "Load" functions for the trial list to ensure test repeatability


Additional Information

Real Time

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Real Time

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded. Use the Configuration Assistant to explore available upgrades.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. Use the Configuration Assistant to explore available upgrades. To transport a license, you will need the following:

  • Keysight License Manager (ALM) software

  • PC with an internet connection

  • LAN connection between PC running the ALM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are only available for the M9381A PXIe vector signal generator and E6630A wireless connectivity test set. The license is checked out from the licensing server for temporary assignment to any one instrument or host PC at a time. Floating licenses are perpetual (permanent) and can be upgraded. Use the Configuration Assistant to explore available upgrades.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.


N7607B System Requirements

To generate signals using the N7607B Signal Studio for DFS Radar Profiles software, you must have a properly configured PC and a properly configured instrument, as described in the following tables.

Hardware Requirements

Instruments | Requirements
N5172B EXG X-Series RF Vector Signal Generator | Firmware revision B.01.10 or later (how to upgrade) Required options: N5172B-506 (9 kHz to 6 GHz frequency range) N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) Recommended options: N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth) N5172B-009 (internal Flash drive)
N5182B MXG X-Series RF Vector Signal Generator | Firmware revision B.01.10 or later (how to upgrade) Required options: N5182B-506 (9 kHz to 6 GHz frequency range) N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) Recommended options: N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth) N5182B-009 (internal Flash drive)
N5182A MXG RF Vector Signal Generator | Firmware revision A.01.20 or later (how to upgrade) Required options: N5182A-506 (9 kHz to 6 GHz frequency range) N5182A-652 (60 MSa/s internal baseband generator with 8 MSa memory ) Recommended options: N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory) N5182A-019 (Increase Baseband Generator Memory to 64MSa)
E4438C ESG Vector Signal Generator | Firmware revision C.04.95 or later (how to upgrade) Required options: E4438C-506 (250 kHz to 6 GHz frequency range) E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability) Recommended options: E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability)
E8267D PSG Vector Signal Generator | Firmware revision C.04.92 or later (how to upgrade) E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended) E8267D-005 (6 GB internal hard drive, recommended)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 15.5 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows XP Service Pack 3 or later (Professional)

  • 2 GHz Pentium 4 or higher (recommended)

  • 512 MB of memory minimum (1.0 GB or higher recommended)

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (6.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 15.5 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

Adobe Flash Player 7 or later (required for using the Signal Studio Configuration Assistant)

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

Retrieve Instrument Model Number

When active, you can select manual or automatic retrieval of the connected instrument's model number.

Parameter Optimization

Double-click or use the drop-down menu to enable or disable parameter optimization.

Auto – automatically overrides the current instrument settings and provides optimized settings.

Off – parameter optimization is not used.

Parameter Optimization selects the appropriate marker for RF control and sets the appropriate marker routing. When Parameter Optimization is set to Auto, the Marker 3 and Marker 4 source selections in the Waveform Setup node and the marker routings selected in Dual ARB Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set Parameter Optimization to Off.

Perform DC I/Q Calibration

Double-click or use the drop-down menu to enable or disable automatic DC I/Q calibration.

On – The signal generator performs a DC I/Q calibration after downloading a waveform.

Off – The signal generator does not perform a DC I/Q calibration after downloading a waveform.

Related Topics

Hardware Settings

Instrument


2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

Related Topics

Instrument


3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

N5182A: -20% to 20%

All other models: -50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range:

N5182A: -20% to 20%

All other models: -50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range:

N5182A: -1 dB to 1 dB in 0.001 dB steps

All other models: -1 dB to 4 dB in 0.01 dB steps

Default:

0.00 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Timing Skew Path

Choice: RF | BB

Default: RF

Double-click or use the drop-down menu to select the I/Q timing skew path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Dig Bus Output optimizes the Digital Bus path by applying calibration factors to only this path, leaving the RF OUT and I/Q OUT paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Skew

Range:

N5182A: -800 ns to 800 ns, in 1 ps steps

All other models: -2.0 to 2.0 seconds, in 1 ps steps

Default:

0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: -1.0 to 1.0 seconds, 1 ps step

Default: 0.0 ps

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

Related Topics

Instrument


4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

ALC Bandwidth

Choice: Auto | 100.00 Hz | 1.00 kHz | 10.00 kHz | 100.00 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

Related Topics

Instrument


5. Dual ARB

ARB Sample Clock

Range: 1 KHz to 125 MHz

Default: 100 MHz

The sample clock rate of the instrument is automatically calculated by the software.

For Carrier Aggregation (with a single component carrier) the following ARB Sample Clock rates apply:

Bandwidth of the Component Carrier (CC) | ARB Sample Clock1, 2
1.4 MHz | 1.92 MHz
3 MHz | 3.84 MHz
5 MHz | 7.68 MHz
10 MHz | 15.36 MHz
15 MHz | 23.04 MHz
20 MHz | 30.72 MHz
1 The same ARB Sample Clock rates apply to exported waveforms too.
2 For this table's CC bandwidth vs. ARB Sample Clock values to apply, the Frequency Offset parameter must equal 0.

VCO Clock

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

Internal - the signal generator uses its internal VCO Clock.

External - the signal generator uses an external VCO Clock

This parameter is not available for all instrument model numbers and may be grayed out.

Waveform Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 92%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q modulation filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q output filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Set the modulation attenuation mode for the I/Q modulator to automatic or manual.

AUTO – the signal generator optimizes the modulation attenuation for the current conditions.

Manual – applies the value set in the Modulation Attenuation cell.

Modulation Attenuation

Range: 0 to 40 dB (minimum increment 0.01 )

Default: 6.00 dB

Use this parameter to reduce the signal level driving the I/Q modulation block. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set the Modulation Attenuation Mode to Manual to enable this parameter.

High Crest Mode

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the signal generator's high crest mode.

On – processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

Off – disables the high crest mode.

This parameter is not available for all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s ARB reference source.

Internal – the signal generator uses its internally generated 10 MHz signal as the reference source.

External – the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available for all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.250 to 100 MHz

Default: 10.00 MHz

Enter a frequency value when using an externally supplied reference signal. See the signal generator user’s guide for information on external references.

Set ARB Reference to External to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

Related Topics

Instrument


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select an RF blanking function. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

None – disables RF blanking.

Marker 1 through Marker 4 – selects a marker to activate RF blanking.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

ALC Hold

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

None – disables ALC hold.

Marker 1 through Marker 4 – assigns a marker for the ALC hold function.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and the output power level does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

Alternate Amplitude

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

None – disables the alternate amplitude function.

Marker 1 through Marker 4 – assigns a marker for the alternate amplitude function.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available for all instrument model numbers and may be grayed out.

Marker 1 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 1.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 2 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 2.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 3 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 3.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 4 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 4.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Related Topics

Instrument


7. Dual ARB Trigger

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must select External as the Trigger Source.

Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Double-click or use the drop-down menu to select the triggering method.

Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External – causes a waveform to trigger from an externally supplied trigger signal.

Bus – enables a command sent through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector to trigger a waveform.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Double-click or use the drop-down menu to select the rear-panel input for the external trigger signal. External must be selected as the trigger source.

Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select External as the trigger source.

Negative – the signal generator triggers an event when it receives a negative change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

Positive – the signal generator triggers an event when it receives a positive change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

External Delay

Choice: On | Off

Default: Off

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range:

N5182A: 8 ns to 30 s, in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default:

1 ms

Sets the amount of time to delay the signal generator's response to an external trigger, in 8 ns or 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

Related Topics

Instrument


8. Real-time Noise Setup

Real-time Noise

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On – enables the addition Real-time Noise.

Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: -100 to 100 dB

Default: 0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range:

N5182A 1.0 Hz to 100 MHz

E4438C 1.0 Hz to 80 MHz

Default: 1.0 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier). Also, the maximum upper range is limited to Base Sampling Rate x OSR before download is finished.

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available for all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 0.001 Hz to 100.000 MHz

Default: 1.000 Hz

Set or change the noise bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Related Topics

Instrument


CCDF Graph

Click Waveform Setup or Carrier in the Closed tree view . The graph view is located at the bottom of the Waveform Setup and Carrier nodes. For multiple antenna configurations, a tab for each antenna port is displayed above the graph view. Click the tab for the antenna port for which you want to view a CCDF graph. Click the CCDF tab to display the CCDF graph.

The CCDF, Waveform, and Power Envelope graphs are minimized in the initial view of the Waveform Setup node and the Carrier node. To view the graphs, Closed click and drag the border above the CCDF, Waveform, and Power Envelope graphs.

The CCDF graph displays the probability (in percentage) that the generated waveform's calculated peak-to-average power ratio (measured in dB) is greater than or equal to a specified level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Click Generate Waveform [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Use the buttons shown below to plot the Gaussian data, reference data, and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Click the Gaussian button to toggle the Gaussian noise curve (blue) on or off.

Click the Reference button to toggle the reference curve (red) on or off.

Click the Acquire Ref. button to set the current waveform curve as the reference curve.

Related Topics

Understanding CCDF Curves

Waveform Graph


GPIBaddress

Real Time

To view the signal generator's GPIB connection information:

On the EXG or MXG, press Utility > IO Config > GPIB Setup

On the ESG or PSG, press Utility > GPIB/RS-232 LAN


instrument_node

Real Time


IP address

Real Time

To view the signal generator's IP address:

On the ESG/PSG, press Utility > GPIB/RS-232 LAN > LAN SETUP > IP ADDRESS.

On the EXG/MXG, press Utility > I/O Config > LAN Setup.


Marker Selection Dialog Box

Real Time

Marker Source Selection Dialog Box

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in Waveform Setup node and the marker routing selected in Dual ARB Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set Parameter Optimization to Off.

Use the Marker Source Selection dialog box for the Marker1, 2, 3, or 4Source cells to set active marker points within the waveform. The cells are located in the Waveform Setup parameter configuration table.

None

Waveform Start

1 ms subframe pulse

10 ms frame pulse

20 ms frame pulse

40 ms frame pulse

RF ALC Control

RF Blanking Control

Timing Control

User Defined Bits

  • Import

  • Export

  • Clear

  • PN9 Data

Generated Pattern

None

Sets all marker points to zero (inactive).

Waveform Start

Sets the first five marker bits of the frame to 1. (Sets an active marker for the first five waveform samples.)

This parameter was labeled Frame. Frame API command is available for backwards compatibility.

This parameter was labeled Frame in older versions of the Marker Source Dialog Box, but the functionality is the same. Frame API command is available for backwards compatibility.

1 ms subframe pulse

Sets the first five marker bits of every 1 ms to 1.

10 ms subframe pulse

Sets the first five marker bits of every 10 ms to 1.

20 ms subframe pulse

Sets the first five marker bits of every 20 ms to 1.

40 ms subframe pulse

Sets the first five marker bits of every 40 ms to 1.

RF ALC Control

Activates the automatic leveling control (ALC) function. When enabled, the ALC monitors and controls the RF output power of the signal generator.

RF Blanking Control

Assigns a specific marker to activate RF blanking. ALC hold is automatically enabled during output blanking.

Timing Control

This marker is generated by the waveform.

User Defined Bits

Opens the user Closed data entry area, in which you can customize the marker signal.

  • Use the data buttons described below to import, export, or clear marker data or to insert a PN9 sequence.

  • Manually insert marker data with the 1 and 0 keys on the keyboard, with the Insert PN9 button, or by copying and pasting data from a file or from within the current view. (Use the keyboard shortcuts Cntl+C and Cntl+V for copy and paste.)

  • Manually delete data using the Backspace key, the Delete key, or the keyboard shortcut Cntl+Z.

The maximum number of marker bits in the user data entry area is 2,097,152.

Import

Accesses a dialog box in which you can select the desired file to import. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than 2,097,152 bits, the software truncates the bits to conform to the maximum file size.

Export

Open a dialog box in which you can save the pattern in the user data entry area to a file. You can save the file in one of the following formats:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Deletes all data from the user data entry area.

Insert PN9

Inserts a fixed pseudo-random bit sequence containing 511 bits into the user data entry area. The software generates the pattern in accordance with CCITT recommendation O.153. Each click adds another PN9 sequence until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the existing data pattern, place the cursor at the desired point in the file and click Insert PN9 or enter individual bits using the keyboard 1 and 0 keys. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

Generated Pattern

Sets the marker source to the beginning of the generated pattern.

Related Topic

Waveform Setup


parameter view

Real Time


save quick setup

Real Time


system configuration wizard

Real Time


tree_view_hardware

Real Time


tree view waveform

Real Time


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


Waveform Graph

Click Waveform Setup or Carrier in the Closed tree view. The graph view is located at the bottom of the Waveform Setup and Carrier nodes. For multiple antenna configurations, a tab for each antenna port is displayed above the graph view. Click the tab of the antenna port for which you want to view a waveform graph. Click the Waveform tab to display the waveform graph.

The CCDF, Waveform, and Power Envelope graphs are minimized in the initial view of the Waveform Setup node and the Carrier node. To view the graphs, Closed click and drag the border above the CCDF, Waveform, and Power Envelope graphs.

Click Generate Waveform [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot four different waveform graphs (Power, I+Q, I/Q, and Spectrum) of the current waveform configuration. Changes to the waveform configuration do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

The Power plot is shown in the Figure.

Figure. Power plot

Click the down arrow [image] to open a Closed drop-down menu from which you can select different waveform plots. Selections include Power (shown above), I+Q, I|Q, and Spectrum. Click the button to the left of the arrow [image] to select the next plot type in the list without displaying the menu.

Related Topics

CCDF Graph


untitled window

Real Time